Bug 1272145 - Java and javapackages-tools have cyclic dependencies
Java and javapackages-tools have cyclic dependencies
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: javapackages-tools (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-15 10:49 EDT by Stanislav Baiduzhyi
Modified: 2016-05-05 00:41 EDT (History)
10 users (show)

See Also:
Fixed In Version: 4.6.0-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-02 05:39:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stanislav Baiduzhyi 2015-10-15 10:49:46 EDT
Description of problem:
Trying to install java-1.8.0-openjdk-headless drags javapackages-tools as dependency. Trying to install javapackages-tools drags java-1.8.0-openjdk-headless as dependency.

Version-Release number of selected component (if applicable):
java-1.8.0-openjdk-headless 1.8.0.60-14.b27.f23
javapackages-tools 4.6.0-6.fc23

How reproducible:
always.

Steps to Reproduce:
1. dnf install javapackages-tools and look at list of depdencies.
2. dnf install java-1.8.0-openjdk-headless and look at list of dependencies.

Actual results:
System will have both javapackages-tools and java-1.8.0-openjdk-headless.

Expected results:
System with all the dependencies for offline java installation.

Additional info:
Comment 1 Mikolaj Izdebski 2015-10-16 02:05:01 EDT
This is intentional. Is there any particular problem this is causing?
Comment 2 jiri vanek 2015-10-16 05:45:31 EDT
Cyclic dependencies are possible traps. So one of us should remove requires.
What javapackages-tools needs jvm for?

And seocndly.. What does I need i for in openjdk.

# Require javapackages-tools for ownership of /usr/lib/jvm/
Requires: javapackages-tools

Looks still valid, but cant it be done better?
Comment 3 Stanislav Baiduzhyi 2015-10-16 11:28:15 EDT
(In reply to Mikolaj Izdebski from comment #1)
> This is intentional. Is there any particular problem this is causing?

With cyclic dependency like this it is not possible any more to have a machine prepared for offline testing of locally built jdk packages. It was possible before.
Comment 4 Mikolaj Izdebski 2015-10-19 07:30:27 EDT
After further investigation I see that this is indeed a bug. javapackages-tools doesn't have explicit requires on java-headless in spec file, but this requirement was generated automatically by our dependency generators. I will fix this by filtering generated dependencies.
Comment 5 Mikolaj Izdebski 2015-10-19 07:49:47 EDT
Fixed in javapackages-tools-4.6.0-7
Comment 6 Fedora Update System 2015-10-20 01:06:15 EDT
javapackages-tools-4.6.0-7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b301f0d4e7
Comment 7 Fedora Update System 2015-10-20 17:57:52 EDT
javapackages-tools-4.6.0-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update javapackages-tools'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b301f0d4e7
Comment 8 Fedora Update System 2015-10-31 22:32:49 EDT
javapackages-tools-4.6.0-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Mikolaj Izdebski 2015-11-02 05:39:38 EST
I believe that this bug is fixed in javapackages-tools-4.6.0-7,
which is available in updates for Fedora 23, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=692872

Note You need to log in before you can comment on or make changes to this bug.